Package com.independentsoft.office.vml

# Class TextBoxLeftStroke

java.lang.Object
com.independentsoft.office.vml.StrokeChild
com.independentsoft.office.vml.TextBoxLeftStroke

All Implemented Interfaces:
  `IContentElement`, `IVmlElement`

public class TextBoxLeftStroke extends StrokeChild implements IVmlElement
The Class TextBoxLeftStroke.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextBoxLeftStroke()`
  Instantiates a new text box left stroke.
  `TextBoxLeftStroke​(InternalXMLStreamReader reader)`
  Instantiates a new text box left stroke.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TextBoxLeftStroke`
  `clone()`
  `List<IContentElement>`
  `getContentElements()`
  `String`
  `toString()`

  ### Methods inherited from class com.independentsoft.office.vml.StrokeChild

  `getAlternateImageReferenceLocation, getAlternatePatternColor, getColor, getDashPattern, getEndArrow, getEndArrowLength, getEndArrowWidth, getEndCap, getExtensionHandlingBehavior, getFillType, getImageAspectRatio, getImageSize, getImageUrl, getJoinStyle, getLineStyle, getMiterLimit, getOpacity, getSource, getStartArrow, getStartArrowLength, getStartArrowWidth, getTitle, getWeight, isDisplay, isForceDash, isImageAlignment, isInsetBorderFromPath, setAlternateImageReferenceLocation, setAlternatePatternColor, setColor, setDashPattern, setDisplay, setEndArrow, setEndArrowLength, setEndArrowWidth, setEndCap, setExtensionHandlingBehavior, setFillType, setForceDash, setImageAlignment, setImageAspectRatio, setImageSize, setImageUrl, setInsetBorderFromPath, setJoinStyle, setLineStyle, setMiterLimit, setOpacity, setSource, setStartArrow, setStartArrowLength, setStartArrowWidth, setTitle, setWeight`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TextBoxLeftStroke

    public TextBoxLeftStroke()
    Instantiates a new text box left stroke.

  - ### TextBoxLeftStroke

    public TextBoxLeftStroke​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new text box left stroke.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public TextBoxLeftStroke clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IVmlElement`
    Specified by:
      `clone` in class `StrokeChild`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`